From 32e62298a6806fe659e61ed4d20ad07952c5e522 Mon Sep 17 00:00:00 2001
From: Mike O'Connor <stew@debian.org>
Date: Thu, 8 Oct 2015 11:22:17 -0700
Subject: Return with exit code 1 if a test fails.

Last-Update: 2011-04-14

Patch-Name: tests-exit-with-failure
---
 test/testdbc1.py | 2 ++
 test/testdbc2.py | 2 ++
 test/testdbc3.py | 2 ++
 test/testdbc4.py | 2 ++
 test/testdbc5.py | 2 ++
 test/testdbc6.py | 2 ++
 test/testdbc7.py | 2 ++
 test/testdbc8.py | 2 ++
 test/testdbca.py | 3 ++-
 9 files changed, 18 insertions(+), 1 deletion(-)

diff --git a/test/testdbc1.py b/test/testdbc1.py
index f5f7923..11793d8 100755
--- a/test/testdbc1.py
+++ b/test/testdbc1.py
@@ -189,5 +189,7 @@ if __name__ == '__main__':
     t = _test()
     if t[0]:
         print "test: %d/%d failures" % t
+	import sys
+	sys.exit( 1 )
     else:
         print "test: %d successes" % t[1]
diff --git a/test/testdbc2.py b/test/testdbc2.py
index ef8174b..42491b9 100755
--- a/test/testdbc2.py
+++ b/test/testdbc2.py
@@ -42,3 +42,5 @@ if __name__ == '__main__':
        print "test: %d tests succeeded" % t[1]
     else:
        print "test: %d/%d tests failed" % t
+       import sys
+       sys.exit( 1 )
diff --git a/test/testdbc3.py b/test/testdbc3.py
index 7081342..a4f4ba0 100755
--- a/test/testdbc3.py
+++ b/test/testdbc3.py
@@ -527,3 +527,5 @@ if __name__ == '__main__':
         print "test: %d tests succeeded" % t[1]
     else:
         print "test: %d/%d tests failed" % t
+	import sys
+	sys.exit( 1 )
diff --git a/test/testdbc4.py b/test/testdbc4.py
index f562b06..280e5e8 100755
--- a/test/testdbc4.py
+++ b/test/testdbc4.py
@@ -504,3 +504,5 @@ if __name__ == '__main__':
         print "test: %d tests succeeded" % t[1]
     else:
         print "test: %d/%d tests failed" % t
+	import sys
+	sys.exit( 1 )
diff --git a/test/testdbc5.py b/test/testdbc5.py
index f871eea..c088594 100755
--- a/test/testdbc5.py
+++ b/test/testdbc5.py
@@ -94,3 +94,5 @@ if __name__ == '__main__':
         print "test: %d tests succeeded" % t[1]
     else:
         print "test: %d/%d tests failed" % t
+	import sys
+	sys.exit( 1 )
diff --git a/test/testdbc6.py b/test/testdbc6.py
index d567011..6e322cb 100755
--- a/test/testdbc6.py
+++ b/test/testdbc6.py
@@ -28,3 +28,5 @@ if __name__ == '__main__':
         print "test: %d tests succeeded" % t[1]
     else:
         print "test: %d/%d tests failed" % t
+	import sys
+	sys.exit( 1 )
diff --git a/test/testdbc7.py b/test/testdbc7.py
index e378a39..7f67215 100755
--- a/test/testdbc7.py
+++ b/test/testdbc7.py
@@ -43,3 +43,5 @@ if __name__ == '__main__':
 	print "test: %d tests succeeded" % t[1]
     else:
 	print "test: %d/%d tests failed" % t
+	import sys
+	sys.exit( 1 )
diff --git a/test/testdbc8.py b/test/testdbc8.py
index 16f895d..e887740 100755
--- a/test/testdbc8.py
+++ b/test/testdbc8.py
@@ -23,5 +23,7 @@ if __name__ == '__main__':
     t = _test()
     if t[0]:
 	print "test: %d/%d failures" % t
+	import sys
+	sys.exit( 1 )
     else:
 	print "test: %d successes" % t[1]
diff --git a/test/testdbca.py b/test/testdbca.py
index a764ec5..5bc3488 100755
--- a/test/testdbca.py
+++ b/test/testdbca.py
@@ -67,4 +67,5 @@ if __name__ == '__main__':
 	print "test: %d tests succeeded" % t[1]
     else:
 	print "test: %d/%d tests failed" % t
-
+	import sys
+	sys.exit( 1 )
